Subject: RE: Comments to WG meeting

From: [email-masked]
Date: Wed, 12 Jul 2006 19:42:43 -0400

Ouch - please, can we keep the copyright discussion limited to copyright
and not get involved in patents.  I hope Larry's discussion of patent
licensure also applies to copyright licensure, but IANAL.  Nobody is
(AFAIK) proposing the language discussed below for patent licensing.

Thanks,
--David
----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

> -----Original Message-----
> From: Lawrence Rosen [mailto:[email-masked]] 
> Sent: Wednesday, July 12, 2006 6:33 PM
> To: [email-masked]
> Subject: RE: Comments to WG meeting
> 
> Bebe McCall wrote:
> > A fallback position is to restrict the allowable modification of
> > published code to implementations of the specification, and encourage
> > submitters to explicitly permit broader use of their work wherever
> > possible.  Clearly this is less desirable, but in my very limited
> > experience it has seemed less likely to antagonize corporate patent
> > attorneys and improves the chances you'll get cooperation with open
> > source reference implementations.
> 
> There's a small trap in the wording here. A patent license *restricted to
> implementations of the specification* is not quite the same as a license
*to
> patent claims necessary to practice a specification*.
> 
> The first alternative (depending upon how worded) may prohibit the
creation
> of derivative works or, phrased even more tragically, prohibit people from
> improving upon an earlier specification when the world changes. This is
> incompatible with any open source license.
> 
> The second alternative leaves it for the future to worry about the need
for
> patent claims beyond the specific claims necessary to practice the
original
> specification. There are no restrictions or limitations on the creation of
> derivative works other than what due diligence and proper software
> development procedures would suggest at the time. Meanwhile, patent owners
> can craft their claims to capture applications external to the
> specification--as can anyone else--in a spirit of inventiveness that the
> patent system and industry standards are supposed to encourage.
> 
> This allows for compromise between those patent owners who want to
encourage
> a specific standard and those patent users who demand freedom to create
> derivative works. The future effects of other patent claims are left for
the
> future to determine as software evolves. 
> 
> /Larry
> 
> Lawrence Rosen
> Rosenlaw & Einschlag, a technology law firm (www.rosenlaw.com)
> Stanford University, Lecturer in Law
> 3001 King Ranch Road, Ukiah, CA 95482
> 707-485-1242  *  fax: 707-485-1243
> Author of "Open Source Licensing: Software Freedom and 
>                 Intellectual Property Law" (Prentice Hall 2004)
> 

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: "todd glassey" <[email-masked]>
Date: Wed, 12 Jul 2006 17:24:29 -0700

David - you are already into that realm. The "use license" goes way beyond
Copyright usage; also its important to note that regarding IP, that the
copyright and patent laws are inextricably linked.  Doubt that? go and ask
Chris R. Ottenweller of Orrick - he just got you that 300M settlement
against HP... remember?

He would look at this mess and cringe.

Todd